(function ($, Drupal) {
  // Since field_ui_table does not support #states we have to toggle visibility
  // with our own JS.
  Drupal.behaviors.inline_formatter_display_form_display = {
    attach: function (context, _settings) {
      $(".iff-display-checkbox", context)
        .once("inline_formatter_display_form_display")
        .each((_index, checkbox) => {
          // Get elements
          const $iffWrapper = $('.iff-settings-wrapper');
          const $fieldsWrapper = $('.iff-fields-wrapper');

          // Set which is displayed and hidden on load
          if (checkbox.checked) {
            $iffWrapper.show();
            $fieldsWrapper.hide();
          } else {
            $iffWrapper.hide();
            $fieldsWrapper.show();
          }

          // Set on change event
          $(checkbox).on('change', e => {
            if (e.target.checked) {
              $iffWrapper.show();
              $fieldsWrapper.hide();
            } else {
              $iffWrapper.hide();
              $fieldsWrapper.show();
            }
          })
        })
    }
  }
})(jQuery, Drupal);
